MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000670Community[OCCT] OCCT:Foundation Classespublic2002-09-02 19:272015-12-23 11:24
Reporteremo 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 5.1.0 
Summary0000670: Problem with the Print method.
DescriptionThis bug has been added by Francois Lauzon at
http://www.opencascade.org/forumorg/bug.php?bug_id=76&f=8 [^] .

In some case, when we want to print the exception message to a stream it crash
(like when an exception is raised from TCollection_Array2::SetValue for example)
because the myMessage is null. Since there is no way of accessing or testing
the myMessage value, we should probably correct the problem with something like
this:


void Standard_Failure::Print (Standard_OStream& AStream) const
{
  if(myMessage){
  AStream << DynamicType() ;
  }
  else {
  AStream << DynamicType() << ": " << myMessage ;
  }
}
TagsNo tags attached.
Test case number
Attached Filestgz file icon Standard_Failure.cxx.tgz (774 bytes) 2003-01-27 09:32

- Relationships

-  Notes
There are no notes attached to this issue.

- Related Changesets
occt: master 8fcb8c07
Timestamp: 2015-11-19 12:20:39
Author: abv
Committer: bugmaster
Details ] Diff ]
0000670: Problem with the Print method.

Test for issue 0000670 corrected to avoid unpredictable behavior
mod - src/QABugs/QABugs_11.cxx Diff ] File ]
mod - tests/bugs/fclasses/bug670 Diff ] File ]

- Issue History
Date Modified Username Field Change
2002-09-03 12:26 bugmaster Assigned To bugmaster => imv
2002-09-03 12:26 bugmaster Status new => assigned
2002-09-03 12:26 bugmaster Category => FDC
2003-01-27 13:40 bugmaster CC => apv
2003-01-27 13:40 bugmaster Status assigned => resolved
2003-01-29 11:30 apv CC => mkv, aki
2003-02-26 13:05 aki Status resolved => tested
2003-02-27 16:07 bugmaster Status tested => closed
2003-02-27 16:07 bugmaster Resolution @0@ => fixed
2011-08-02 11:23 bugmaster Category OCCT:FDC => OCCT:Foundation Classes
2011-12-15 17:54 bugmaster Project Open CASCADE => Community
2015-05-22 10:17 git Note Added: 0041412
2015-06-30 11:00 git Note Added: 0042575
2015-10-16 18:09 git Note Added: 0047148
2015-11-20 12:07 bugmaster Changeset attached => occt master 8fcb8c07
2015-11-20 12:07 bugmaster Assigned To imv => bugmaster
2015-11-20 12:07 bugmaster Status closed => verified
2015-12-07 16:14 bugmaster Target Version => 7.0.0
2015-12-07 16:14 bugmaster Description Updated View Revisions
2015-12-23 11:22 abv Note Deleted: 0047148
2015-12-23 11:22 abv Note Deleted: 0041412
2015-12-23 11:22 abv Note Deleted: 0042575
2015-12-23 11:24 abv Status verified => closed
2015-12-23 11:24 abv Target Version 7.0.0 =>


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker